Description

situation: Three layers:

t1 PostGIS table with two fields: id (integer, PK), the_geom

t2 PostgreSQL table with many fields containing two datasets for each dataset of t1; fields: id(integer), type (integer) in this case it is not

relevant, that there are two datasets in t2 for each in t1 as the value in type is the same for both

t3 PostgreSQL table with two fields: id (integer), typename (varchar) containing lookup-values for field type in t2

Steps to do: 

a) Join t2 to t1 on t1.id = t2.id

b) Join t3 to t1 on t1.type = t3.id

c) style t1 categorized on field type => works

d) style t1 categorized on field typename => does not work (categorization works but layer is not displayed on map)

tried with 1.8.0-Trunk (QGIS-Codeversion 58c737d) installed via osgeo-installer

History

#1 - 2011-08-09 08:46 AM - Marco Hugentobler

Can you dump the three tables (or similar ones that can reproduce the bug) to shapes and attach them to the ticket?

Thanks,

Marco

#2 - 2011-08-09 11:17 PM - Bernhard Ströbl

- File expl.zip added

Hi Marco,

attached zip file contains a shape file and two csv. files.

Do as follows:

1) load them into QGIS

2) in expl_lines - layer properties join expl_data (join field = nr, target field = nr)

3) in expl_lines - layer properties join expl_lookup (join field = id, target field = typnr (note this field comes from expl_data!))

4) in expl_lines change style from "single symbol" to "categorized" (column = typ), click classify and apply => classification works but the line is not visible

any more

#3 - 2011-08-12 06:49 AM - Marco Hugentobler

- Tracker changed from Bug report to Feature request

2025-05-17 1/2



Ah, I see. Yes, QGIS does not provide the capability to join multiple tables like that. Every join needs to have a target field in the origin layer. Otherwise, it

would be quite complicated to manage the join dependencies (QGIS fetches only the necessary attributes for rendering).

I've changed the join dialog to only show original attributes as target and thus this ticket to feature request.

#4 - 2011-08-14 10:57 PM - Bernhard Ströbl

Ok, I see. Thank you for your effort. This is definitely not a "must have". I could still classify on typenr but wanted to avoid writing the legend labels :-)

#5 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#6 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2014-01-27 02:02 AM - Bernhard Ströbl

- Resolution set to wontfix

- Status changed from Open to Closed

Files

expl.zip 2.07 KB 2011-08-09 Bernhard Ströbl
